com.fasterxml.jackson.databind.util

## Class ExceptionUtil

- java.lang.Object
- - com.fasterxml.jackson.databind.util.ExceptionUtil

    public class ExceptionUtil
    extends Object

Utility methods for dealing with exceptions/throwables

Since:
  2.15

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `rethrowIfFatal(Throwable throwable)` It is important never to catch all `Throwable`s.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### rethrowIfFatal

    public static void rethrowIfFatal(Throwable throwable)
                               throws Error,
                                      RuntimeException

It is important never to catch all `Throwable`s. Some like `InterruptedException` should be rethrown. Based on scala.util.control.NonFatal. This method should be used with care.

If the `Throwable` is fatal, it is rethrown, otherwise, this method just returns. The input throwable is thrown if it is an `Error` or a `RuntimeException`. Otherwise, the method wraps the throwable in a RuntimeException and throws that.

Parameters:
  `throwable` - to check
Throws:
  `Error` - the input throwable if it is fatal
  `RuntimeException` - the input throwable if it is fatal - throws the original throwable if is a `RuntimeException`. Otherwise, wraps the throwable in a RuntimeException.